#ifndef _mh_
#define _mh_ 1

#include "sampler.h"

class StandardMH : public Sampler {
   void birth( double t, Pattern& D );
   void death( double t, Pattern& D );
   void extend( Pattern& D, double& time );
   int time;
 public:
   StandardMH( Prior *p, int ctime, char *name_file ) : 
      Sampler(p, name_file) { time = ctime; }
   void init( Pattern& D );
   void sim( Pattern& D );
   void report() const { printf("Metropolis-Hastings\n"); }
};

#endif
