#ifndef _video_
#define _video_ 1

#include "prior.h"
#include <cstdlib>

class MHVideo {
 protected:
   void birth( double t, Pattern& D );
   void death( double t, Pattern& D );
   void extend( Pattern& D, double& time ); 
   void links( double t, Pattern& D, Pattern& E );
   void modindex( double t, Pattern& D );
   int time;
 public:
   MHVideo( Prior *p, int ctime, char *name_file ) :
      Sampler(p, name_file) { time = ctime; }
   ~MHVideo();
 
   void init( Pattern& D ) = 0; 
   void sim( Pattern& D ) = 0;
   
   void report() const = 0;
};

#endif
