#ifndef _sampler_
#define _sampler_ 1

/*
#include "prior.h"
#include <stdlib.h>
*/

#include "prior.h"
#include <cstdlib>

class Sampler {
 protected:
   Prior *prior;
   TransitionList tvec;
   double totalTime;
   int totalJumps;
   FILE *list_file;

   virtual void birth( double t, Pattern& D );
   virtual void death( double t, Pattern& D );
   virtual void extend( Pattern& D, double& time ) = 0;
 public:
   Sampler( Prior *cprior, char *name_file );
   virtual ~Sampler();
 
   virtual void init( Pattern& D ) = 0; 
   virtual void setPrior( Prior *p ) { this->prior = p; }
   Prior *getPrior() const { return prior; }
   virtual void sim( Pattern& D ) = 0;
   virtual void report() const = 0;
   void clean();
   
   // void setTime( double ctime ) { totalTime = ctime; }
   // void setJumps( int cjumps ) { totalJumps = cjumps; }
   double getTime() const { return totalTime; }
   int getJumps() const { return totalJumps; }
   void printTimeJumps();
};

#endif
